MsWrdTextInternal::TextStruct Struct Reference documentation

MsWrdTextInternal::TextStruct Struct Referencefinal

Internal: the entry of MsWrdParser. More...

Inheritance diagram for MsWrdTextInternal::TextStruct:

## Classes
struct | CompareFilePos
| a struct used to compare file textpos More...

## Public Member Functions
| TextStruct ()
| construtor
| TextStruct (TextStruct const &)=default
| ~TextStruct () final
| destructor
int | getParagraphId () const
| returns the paragraph id ( or -1, if unknown )
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry &&)=default
virtual | ~MWAWEntry ()
| destructor
void | setBegin (long off)
| sets the begin offset
void | setLength (long l)
| sets the zone size
void | setEnd (long off)
| sets the end offset
long | begin () const
| returns the begin offset
long | end () const
| returns the end offset
long | length () const
| returns the length of the zone
bool | valid () const
| returns true if the zone length is positive
bool | operator== (const MWAWEntry &a) const
| basic operator==
bool | operator!= (const MWAWEntry &a) const
| basic operator!=
bool | isParsed () const
| a flag to know if the entry was parsed or not
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...
std::string const & | type () const
| returns the type of the entry
bool | hasType (std::string const &typ) const
| returns true if the type entry == type
void | setName (std::string const &nam)
| sets the name of the entry
std::string const & | name () const
| name of the entry
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name
int | id () const
| returns the id
void | setId (int newId)
| sets the id
std::string const & | extra () const
| retrieves the extra string
void | setExtra (std::string const &s)
| sets the extra string

## Public Attributes
int | m_pos
| the text position
int | m_styleId
| some identificator(maybe style)
int | m_flags
| some flags
int | m_paragraphId
| the paragraph id
bool | m_complex
| a flag to know if we read a complex or a simple PRM

## Friends
std::ostream & | operator<< (std::ostream &o, TextStruct const &entry)
| operator<<

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry.
long | m_length
| the size of the entry
std::string | m_type
| the entry type
std::string | m_name
| the name
std::string | m_extra
| an extra string
int | m_id
| an identificator
bool | m_parsed
| a bool to store if the entry is or not parsed

## Detailed Description

Internal: the entry of MsWrdParser.

## Constructor & Destructor Documentation

## ◆ TextStruct() [1/2]

MsWrdTextInternal::TextStruct::TextStruct | ( |  | ) |
| inline

construtor

Referenced by MsWrdTextInternal::TextStruct::CompareFilePos::operator()(), operator<<, and TextStruct().

## ◆ TextStruct() [2/2]

MsWrdTextInternal::TextStruct::TextStruct | ( | TextStruct const & |  | ) |
| default

## ◆ ~TextStruct()

MsWrdTextInternal::TextStruct::~TextStruct | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getParagraphId()

int MsWrdTextInternal::TextStruct::getParagraphId | ( |  | ) | const
| inline

returns the paragraph id ( or -1, if unknown )

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TextStruct const & | entry )
| friend

operator<<

## Member Data Documentation

## ◆ m_complex

bool MsWrdTextInternal::TextStruct::m_complex

a flag to know if we read a complex or a simple PRM

Referenced by MsWrdText::readTextStruct(), and TextStruct().

## ◆ m_flags

int MsWrdTextInternal::TextStruct::m_flags

some flags

Referenced by MsWrdText::readTextStruct(), and TextStruct().

## ◆ m_paragraphId

int MsWrdTextInternal::TextStruct::m_paragraphId

the paragraph id

Referenced by getParagraphId(), MsWrdText::readTextStruct(), and TextStruct().

## ◆ m_pos

int MsWrdTextInternal::TextStruct::m_pos

the text position

Referenced by MsWrdText::readTextStruct(), and TextStruct().

## ◆ m_styleId

int MsWrdTextInternal::TextStruct::m_styleId

some identificator(maybe style)

Referenced by MsWrdText::readTextStruct(), and TextStruct().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx